www.cendio.com

Bug 5754

Summary: use nettle in Xvnc instead of openssl
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: VNCAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: samuel@cendio.se
Version: pre-1.0Keywords: prosaic
Target Milestone: 4.10.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2015-12-16 13:31:32
Xvnc (via the xorg sources) needs SHA-1 routines and it can grab these from
many different libraries. The default is OpenSSL, and that's what we're
currently using.

nettle is however a much smaller and cleaner option when you just want one of
the crypto algorithms. And we already have nettle in the build environment. So
we should look at switching over.
------- Comment #4 From cendio 2019-02-13 14:10:40 -------
Patch applied now. Tested text rendering, as that is what the server uses the
crypto for. Could not see any issues.
------- Comment #5 From cendio 2019-02-18 13:55:50 -------
Tested Xvnc from build thinlinc-vnc-server-4.9.0post-6045.x86_65. It contains
nettle strings, but no OpenSSL strings like before. Works good.